import { Component, h } from '@stencil/core';
import Chart from 'chart.js/auto';
import bars from '../../data/bars';
export class LlamaChart {
  componentDidLoad() {
    new Chart(this.canvas, {
      type: 'line',
      data: {
        labels: bars.AAPL.map(barsEntity => barsEntity.t),
        datasets: [
          {
            label: 'AAPL',
            data: bars.AAPL.map(barsEntity => barsEntity.c),
            fill: false,
            borderColor: 'rgb(75, 192, 192)',
            tension: 0.1,
          },
        ],
      },
    });
  }
  render() {
    return h("canvas", { id: "myChart", width: "400", height: "400", ref: el => (this.canvas = el) });
  }
  static get is() { return "llama-chart"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["llama-chart.css"]
  }; }
  static get styleUrls() { return {
    "$": ["llama-chart.css"]
  }; }
}
