import { Component, h } from '@stencil/core';
import { format } from 'date-fns';
import orders from '../../data/orders';
export class LlamaOrderHistory {
  render() {
    return (h("div", { class: "bg-white overflow-hidden shadow rounded-lg" },
      h("div", { class: "flex px-4 py-5 sm:px-6" }, "Order History"),
      h("div", { class: "bg-gray-50 px-4 py-5 sm:p-6 space-y-4" },
        h("div", { class: "flex flex-col" },
          h("div", { class: "-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8" },
            h("div", { class: "py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8" },
              h("div", { class: "shadow overflow-hidden border-b border-gray-200 sm:rounded-lg" },
                h("table", { class: "min-w-full divide-y divide-gray-200" },
                  h("thead", { class: "bg-gray-50" },
                    h("tr", null,
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Symbol"),
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Order"),
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Shares"),
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Price per Share"),
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Total"),
                      h("th", { scope: "col", class: "px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider" }, "Status"))),
                  h("tbody", null, orders.map((order, index) => (h("tr", { class: index % 2 === 0 ? 'bg-white' : 'bg-gray-50' },
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm font-medium text-gray-900" }, order.symbol),
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm text-gray-500" },
                      h("div", { class: "capitalize" },
                        order.type,
                        " ",
                        order.side),
                      h("div", null,
                        h("time", { dateTime: order.created_at }, format(new Date(order.created_at), 'Pp')))),
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm text-gray-500" }, order.qty),
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm text-gray-500" }, "$5"),
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm text-gray-500" }, "$5"),
                    h("td", { class: "px-6 py-4 whitespace-nowrap text-sm text-gray-500" },
                      h("span", { class: "capitalize" }, order.status))))))))))))));
  }
  static get is() { return "llama-order-history"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["llama-order-history.css"]
  }; }
  static get styleUrls() { return {
    "$": ["llama-order-history.css"]
  }; }
}
