import { Component, h, State } from '@stencil/core';
var Tab;
(function (Tab) {
  Tab[Tab["Buy"] = 0] = "Buy";
  Tab[Tab["Sell"] = 1] = "Sell";
})(Tab || (Tab = {}));
export class LlamaQuickTrade {
  constructor() {
    this.currentTab = Tab.Buy;
    this.orderTypes = ['Market', 'Limit', 'Stop', 'Stop Limit'];
    this.timeInForce = ['DAY', 'GTC', 'FOK'];
  }
  onTabClick(tab) {
    this.currentTab = tab;
  }
  render() {
    const currentTabClasses = 'border-indigo-500 text-indigo-600 whitespace-nowrap py-4 px-1 border-b-2 font-medium text-sm';
    const defaultTabClasses = 'border-transparent text-gray-500 hover:text-gray-700 hover:border-gray-300 whitespace-nowrap py-4 px-1 border-b-2 font-medium text-sm';
    return (h("div", { class: "bg-white overflow-hidden shadow rounded-lg" },
      h("div", { class: "px-4 py-5 sm:p-6" },
        h("div", null,
          h("div", { class: "hidden sm:block" },
            h("div", { class: "border-b border-gray-200" },
              h("nav", { class: "-mb-px flex", "aria-label": "Tabs" },
                h("a", { href: "#", class: this.currentTab === Tab.Buy ? currentTabClasses : defaultTabClasses, onClick: () => {
                    this.onTabClick(Tab.Buy);
                  } }, "Buy"),
                h("a", { href: "#", class: this.currentTab === Tab.Sell ? currentTabClasses : defaultTabClasses, onClick: () => {
                    this.onTabClick(Tab.Sell);
                  } }, "Sell"))))),
        h("div", null,
          h("div", { class: "mb-4" },
            h("label", { htmlFor: "email", class: "block text-sm font-medium text-gray-700" }, "Symbol"),
            h("div", { class: "mt-1" },
              h("input", { type: "text", name: "symbol", id: "symbol", class: "shadow-sm focus:ring-indigo-500 focus:border-indigo-500 block w-full sm:text-sm border-gray-300 rounded-md" }))),
          h("div", { class: "mb-4" },
            h("label", { htmlFor: "order-type", class: "block text-sm font-medium text-gray-700" }, "Order Type"),
            h("div", { class: "mt-1" },
              h("select", { id: "order-type", name: "location", class: "mt-1 block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm rounded-md" }, this.orderTypes.map(orderType => (h("option", null, orderType)))))),
          h("div", { class: "mb-4" },
            h("label", { htmlFor: "quantity", class: "block text-sm font-medium text-gray-700" }, "Quantity"),
            h("div", { class: "mt-1" },
              h("input", { type: "text", name: "quantity", id: "quantity", class: "shadow-sm focus:ring-indigo-500 focus:border-indigo-500 block w-full sm:text-sm border-gray-300 rounded-md" }))),
          h("div", { class: "mb-4" },
            h("label", { htmlFor: "time-in-force", class: "block text-sm font-medium text-gray-700" }, "Time in Force"),
            h("div", { class: "mt-1" },
              h("select", { id: "time-in-force", name: "location", class: "mt-1 block w-full pl-3 pr-10 py-2 text-base border-gray-300 focus:outline-none focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm rounded-md" }, this.timeInForce.map(timeInForce => (h("option", null, timeInForce))))))),
        h("div", null,
          h("button", { type: "button", class: "inline-flex items-center px-4 py-2 border border-transparent text-sm font-medium rounded-md shadow-sm text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" }, "Review Order")))));
  }
  static get is() { return "llama-quick-trade"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["llama-quick-trade.css"]
  }; }
  static get styleUrls() { return {
    "$": ["llama-quick-trade.css"]
  }; }
  static get states() { return {
    "currentTab": {}
  }; }
}
